Name: stk
Version: 4.3.0
Release: alt3
Url: http://www-ccrma.stanford.edu/software/stk/
Summary: C++ classes for audio digital signal processing
Source0: stk-%version.tar.gz
Source1: STKDemo
Source2: stk-demo.1
Source3: http://ccrma.stanford.edu/software/stk/bugs/RtAudio.h
Source4: http://ccrma.stanford.edu/software/stk/bugs/RtAudio.cpp
Source5: http://ccrma.stanford.edu/software/stk/bugs/RtWvOut.cpp
Patch0: stk-01_cflags.patch
Patch1: stk-01_makefile.patch
License: GPL
Group: Sound

Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>

# Automatically added by buildreq on Thu Nov 22 2007
BuildRequires: gcc-c++ jackit-devel libalsa-devel util-linux-ng

%description
The Synthesis ToolKit in C++ (STK) is a set of open source audio signal
processing and algorithmic synthesis classes written in C++. STK was
designed to facilitate rapid development of music synthesis and audio
processing software, with an emphasis on cross-platform functionality,
realtime control, ease of use, and educational example code. The Synthesis
ToolKit is extremely portable (it's mostly platform-independent C and C++
code), and it's completely user-extensible (all source included, no unusual
libraries, and no hidden drivers). We like to think that this increases the
chances that our programs will still work in another 5-10 years. In fact,
the ToolKit has been working continuously for nearly 8 years now. STK
currently runs with "realtime" support (audio and MIDI) on SGI (Irix),
Linux, Macintosh OS X, and Windows computer platforms. Generic,
non-realtime support has been tested under NeXTStep, Sun, and other
platforms and should work with any standard C++ compiler.


%package -n lib%name
Summary: C++ classes for audio digital signal processing
Group: System/Libraries

%description -n lib%name
The Synthesis ToolKit in C++ (STK) is a set of open source audio signal
processing and algorithmic synthesis classes written in C++. STK was
designed to facilitate rapid development of music synthesis and audio
processing software, with an emphasis on cross-platform functionality,
realtime control, ease of use, and educational example code. The Synthesis
ToolKit is extremely portable (it's mostly platform-independent C and C++
code), and it's completely user-extensible (all source included, no unusual
libraries, and no hidden drivers). We like to think that this increases the
chances that our programs will still work in another 5-10 years. In fact,
the ToolKit has been working continuously for nearly 8 years now. STK
currently runs with "realtime" support (audio and MIDI) on SGI (Irix),
Linux, Macintosh OS X, and Windows computer platforms. Generic,
non-realtime support has been tested under NeXTStep, Sun, and other
platforms and should work with any standard C++ compiler.

%package -n lib%name-devel
Summary: Header files for LibSTK library
Group: Development/C++
Requires: lib%name = %version-%release
%description -n lib%name-devel
Header files for LibSTK library.

%package -n lib%name-devel-static
Summary: Static LibSTK library
Group: Development/C++
Obsoletes: lib%name-static

%description -n lib%name-devel-static
Static LibSTK library.

%package doc
Summary: Documentation for the sound synthesis toolkit (STK)
Group: Documentation
%description doc
This package contains the documentation for the sound synthesis
toolkit. The documentation is developer oriented and covers all
you need to know if you want to develop an STK application.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%__cp -f %SOURCE3 include/
%__cp -f %SOURCE4 src/
%__cp -f %SOURCE5 src/

%__subst "s|/usr/lib|%_libdir|g" src/Makefile.in

%build
%configure --with-alsa \
	--with-oss \
	--with-jack \
	RAWWAVE_PATH=%_datadir/stk/rawwaves/
				       

%make -C src
%make -C projects/demo

%install

%make -C src DESTDIR=%buildroot install

# there is no install target, so just install by hand
%__mkdir -p %buildroot%_bindir
%__mkdir -p %buildroot%_man1dir
%__mkdir -p %buildroot%_includedir/stk
%__mkdir -p %buildroot%_datadir/stk/
%__mkdir -p %buildroot%_datadir/stk/rawwaves

%__install -m 755 projects/demo/demo %buildroot%_bindir/stk-demo
%__install -m 755  %SOURCE1 %buildroot%_bindir/STKDemo
%__install -m 644 rawwaves/*.raw %buildroot%prefix/share/stk/rawwaves
%__cp -fR projects/demo/tcl %buildroot%prefix/share/stk/
%__cp -fR %SOURCE2 %buildroot%_man1dir/

# menu
%__mkdir_p %buildroot%_desktopdir
%__cat << EOF > %buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Name=STK (Demo)
GenericName=Synthesis ToolKit
Comment=Synthesis ToolKit
Encoding=UTF-8
TryExec=STKDemo
Exec=STKDemo
Terminal=false
StartupNotify=true
Type=Application
Categories=Application;AudioVideo;
EOF


%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%_bindir/*
%prefix/share/stk
%_man1dir/*
%_desktopdir/*

%files -n lib%name
%_libdir/*.so.*
%doc README 

%files -n lib%name-devel
%_libdir/*.so
%_includedir/stk

%files -n lib%name-devel-static
%_libdir/*.a

%files doc
%doc doc/html doc/*.txt

%changelog
* Sat Mar 29 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 4.3.0-alt3
- Rename lib%name-static -> lib%name-devel-static

* Fri Dec 07 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 4.3.0-alt2
- Fix build in x86_64

* Wed Nov 21 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 4.3.0-alt1
- Initial build
